%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	source control management system
Name:		mercurial
Version:	1.4.1
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.selenic.com/mercurial/wiki/
Group:		Development/Tools
Source0:	mercurial-%{version}.tar.gz
Patch0:		mercurial-1.4.1-prefix+python.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	glibc-devel
BuildRequires:	python26-devel

%description
Mercurial: a fast, lightweight Source Control Management system designed for efficient handling of very large distributed projects.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
make all PYVER=%{PYVER}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%_prefix

%files
%defattr(-,root,root)
%_bindir/hg
%_mandir/man1/hg.1.gz
%_mandir/man5/hgignore.5.gz
%_mandir/man5/hgrc.5.gz
%{python_sitelib}/hgext
%{python_sitelib}/mercurial
%{python_sitelib}/mercurial-%{version}-py2.6.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version update
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 1.2.1-2
- python 2.6
* Tue May 12 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.1-1
- Version update, build with explicit /usr/bin/python2.5
* Sun Dec 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5-1
- Initial Release
